<?php

/**
 * General plugin wide settings.
 *
 * This file provides general plugin settings.
 *
 * @link       vladogrcic.com
 * @since      1.1.0
 *
 * @package    PageRestrictForWooCommerce
 */

/**
 * General plugin wide settings.
 *
 * This file provides general plugin settings.
 *
 * @package    PageRestrictForWooCommerce
 * @author     Vlado Grčić <vladogrcic1993@gmail.com>
 */
$image_location = PAGE_RESTRICT_WC_LOCATION_URL.'admin/assets/img/screenshots';
/**
 * Initial image which is used to check whether there are translated images.
 */
$img = [];
/**
 * These are Translatable images that shown.
 * translators: Replace this entire string with the url to your image.
 */
$trans_img = [];
/**
 * Image descriptions.
 */
$trans_text = [];

$img[]          = '/en/frontend/restrict-pages-list-my-account-endpoint.png';

// translators: Replace this entire string with the url to your image.
$trans_img[]    = esc_html__('/en/frontend/restrict-pages-list-my-account-endpoint.png',        'page_restrict_domain');

$trans_text[]   = esc_html__('Shows a table of restricted pages for the current user which have had bought products for.', 'page_restrict_domain')
                // .'</br>'
                .esc_html__('It shows on the My Account page which is generated by this WooCommerce shortcode:', 'page_restrict_domain').' [woocommerce_my_account].';
$img[]          = '/en/frontend/restrict-pages-list-shortcode-block.png';

// translators: Replace this entire string with the url to your image.
$trans_img[]    = esc_html__('/en/frontend/restrict-pages-list-shortcode-block.png',        'page_restrict_domain');

$trans_text[]   = esc_html__('Using a Gutenberg block in the Widgets section or a shortcode you can show it outside of the My Account page.', 'page_restrict_domain');
$img[]          = '/en/frontend/restrict-pages-list-shortcode-block-edit-add.png';

// translators: Replace this entire string with the url to your image.
$trans_img[]    = esc_html__('/en/frontend/restrict-pages-list-shortcode-block-edit-add.png',        'page_restrict_domain');

$trans_text[]   = esc_html__('You can find the Restricted Pages List Gutenberg block in the Widget section in the add block dialog.', 'page_restrict_domain');
$img[]          = '/en/frontend/restrict-pages-list-shortcode-block-edit.png';

// translators: Replace this entire string with the url to your image.
$trans_img[]    = esc_html__('/en/frontend/restrict-pages-list-shortcode-block-edit.png',        'page_restrict_domain');

$trans_text[]   = esc_html__('Choose which table you want to show. Show table with restricted pages that expire by time or by view count. You can disable the default table styling with the last option.', 'page_restrict_domain');
$img[]          = '';

// translators: Replace this entire string with the url to your image.
$trans_img[]    = esc_html__('',        'page_restrict_domain');

$trans_text[]   = esc_html__('If you need to use the shortcode these are its attributes:', 'page_restrict_domain')
                .'<br>'
                .'[prwc_restricted_pages_list table="time" disable_table_class="false"]'
                .'<br>'
                .esc_html__('* Using the table attribute you can choose which table of restricted page you will show. It can show pages that are restricted either by time or view count.', 'page_restrict_domain')
                .'<br>'
                .esc_html__('* Using disable_table_class attribute you can choose whether to keep or not to keep the default plugin style for the tables.', 'page_restrict_domain');
?>
<div class="card-main">
    <div class="content">
        <h2>
            <?php esc_html_e('Frontend features available for the plugin', 'page_restrict_domain'); ?>
        </h2>
        <?php
            include(plugin_dir_path( __FILE__ ).'tab-add-restrict-doc-loop.php');
        ?>
    </div>
</div>